@import url(https://fonts.googleapis.com/css?family=Lato:400,400italic,700|Sansita+One);

:root {
	--primary-color: #302ae6;
	--secondary-color: #536390;
	--font-color: #424242;
	--bg-color: #fff;
	--heading-color: #292922;
}

[data-theme='dark'] {
	--primary-color: #9a97f3;
	--secondary-color: #818cab;
	--font-color: #e1e1ff;
	--bg-color: #161625;
	--heading-color: #818cab;
}

body {
	font-family: 'Lato', sans-serif;
	max-width: 90%;
	margin: 0 auto;
	font-size: calc(1rem + 0.25vh);
	background-color: var(--bg-color);
	color: var(--font-color);
}

h1 {
	font-family: 'Sansita One', serif;
	font-size: 2rem;
	margin-bottom: 1vh;
	color: var(--heading-color);
}

p {
	font-size: 1.1rem;
	line-height: 1.6rem;
}

a {
	color: var(--primary-color);
	text-decoration: none;
	border-bottom: 3px solid transparent;
	font-weight: bold;
	&:hover,
	&:focus {
		border-bottom: 3px solid currentColor;
	}
}

section {
	max-width: 68%;
	margin: 0 auto;
}

.post-meta {
	font-size: 1rem;
	font-style: italic;
	display: block;
	margin-bottom: 4vh;
}

nav {
	display: flex;
	justify-content: flex-end;
	padding: 20px 0;
}

/*Simple css to style it like a toggle switch*/
.theme-switch-wrapper {
	display: flex;
	align-items: center;

	em {
		margin-left: 10px;
		font-size: 1rem;
	}
}
.theme-switch {
	display: inline-block;
	height: 28px;
	position: relative;
	width: 50px;
}

.theme-switch input {
	display: none;
}

.slider {
	background-color: #ccc;
	bottom: 0;
	cursor: pointer;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
	transition: 0.4s;
}

.slider:before {
	background-color: #fff;
	bottom: 4px;
	content: '';
	height: 20px;
	left: 4px;
	position: absolute;
	transition: 0.4s;
	width: 20px;
}

input:checked + .slider {
	background-color: #66bb6a;
}

input:checked + .slider:before {
	transform: translateX(20px);
}

.slider.round {
	border-radius: 34px;
}

.slider.round:before {
	border-radius: 50%;
}
